Subject: RE: [NSIS] Stack Proposal Profiles: ordering of protocol numbers?

From: "Hancock, Robert" <[email-masked]>
Date: Mon, 3 Oct 2005 10:17:17 +0100

Thomas,

You are perfectly correct. (The person implementing GIST here
was after me to pin this down but it never found its way into
the spec.)

I suggest 'top to bottom' as the interpretation (as you say, and
as the example is written. I'll add it to the tracker.

Thanks,

robert h.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Thomas Herzog
> Sent: 01 October 2005 15:28
> To: [email-masked]
> Subject: [NSIS] Stack Proposal Profiles: ordering of protocol numbers?
> 
> 
> Hi,
> 
> I am currently in the process of implementing the message association 
> setup for GIST, so I must validate Stack Profiles against each other. 
> The format of the Profiles is defined as a list of Protocol IDs, and 
> there are some Profiles defined in the draft (TCP, TLS/TCP, 
> TLS/SCTP), 
> but however the "ordering" of the Protocols is not defined.
> 
> So TLS/TCP could be laid out on bitlevel format like 
> (2,56,6), but also 
> (2,6,56). (2 being the length of the profile field).
> 
> This may not be a problem if we only use the predefined 
> profiles which 
> currently only employ 2 protocol layers, but if there will be 
> profiles 
> in the future using 3 or more layers, checking for validity 
> would become 
> even more complex.
> 
> So my question: Wouldn't it be good, if one defined the 
> ordering of the 
> protocols in a profile explicitly as "use Protocol #1 over 
> Protocol #2 
> over ... Protocol #n"?
> 
> So if one needs to validate profiles against each other, one could 
> simply stop if the first (and such topmost) Protocol ID 
> differs/is not 
> supported?
> 
> Cheers, Thomas
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis